module Concerns::TranslationHint
  extend ActiveSupport::Concern

  included do
    def translation_hint
      attribute_value_trans = @builder.object.send("#{attribute_name}_trans")
      prefix = I18n.locale == :en ? '中文' : 'English'

      "<span class='font-italic font-grey'>#{prefix}: #{attribute_value_trans}</span>"
    end
  end
end
